DNAPI.PY(1)

NAME
dnapi.py - Predict or evaluate 3'adapter sequence(s)

DESCRIPTION
usage: dnapi.py [options] FASTQ

Predict or evaluate 3'adapter sequence(s)

  positional arguments:

FASTQ
    including stdin or compressed file {zip,gz,tar,bz}

  optional arguments:

-h, --help
    show this help message and exit

--version
    show program's version number and exit

  adapter prediction parameters:

-k [KMER_BEG:KMER_END:INCREMENT | KMER_LEN]
    range of kmers or a single kmer to predict 3'adapters (default: 9:11:2)

-r [RATIO_BEG:RATIO_END:INTCREMENT | RATIO]
    range of ratios or a single ratio to filter less abundant kmers (default: 1.2:1.4:0.1)

--show-all
    show other candidates if any

  exhaustive adapter search:

--map-command COMMAND
    read mapping command to be tested

--subsample-rate FLOAT
    subsampling fraction of reads (default: 1.0)

--output-dir DIRECTORY
    output directory to write report and cleansed reads (default: ./dnapi_out)

--no-output-files
    only display report and suppress output files

--temp-dir DIRECTORY
    place to make temporary directory (default: /tmp)

  evaluation of candidate adapters:

--adapter-seq SEQ [SEQ ...]
    list of 3'adapters for evaluation

  adapter removal parameters:

--prefix-match LENGTH
    3'adapter match length to trim (default: 7)

--min-len LENGTH
    minimum read length to keep for mapping (default: 16)

--max-len LENGTH
    maximum read length to keep for mapping (default: 36)

--trim-5p LENGTH
    trim specified number of bases from 5'ends after adapter removal (default: 0)

--trim-3p LENGTH
    trim specified number of bases from 3'ends after adapter removal (default: 0)

Report bug to: Junko Tsuji <jnktsj@gmail.com>

AUTHOR
 This manpage was written by Andreas Tille for the Debian distribution and
 can be used for any other usage of the program.